Management & votes
curl --request GET \
--url https://www.prometheus.services/api/v1/companies/{id}/management \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/companies/{id}/management"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/companies/{id}/management', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cik": "0001045810",
"officers": [
{
"ownerCik": "0001347842",
"name": "Puri Ajay K",
"displayName": "Ajay K. Puri",
"officerTitle": "EVP, Worldwide Field Ops",
"isDirector": false,
"isOfficer": true,
"firstFilingDate": "2005-12-22",
"lastFilingDate": "2026-06-23",
"totalShares": 3665228,
"asOfDate": "2026-06-17",
"electionSupportPct": null,
"electionDate": null,
"isCurrent": true,
"photoUrl": "/api/v1/people/0001347842/photo"
}
],
"directors": [
{
"ownerCik": "0001310264",
"name": "NORA JOHNSON SUZANNE M",
"displayName": "Johnson Suzanne M. Nora",
"officerTitle": null,
"isDirector": true,
"isOfficer": false,
"firstFilingDate": "2026-07-15",
"lastFilingDate": "2026-08-12",
"totalShares": 4906,
"asOfDate": "2026-08-10",
"electionSupportPct": null,
"electionDate": null,
"isCurrent": true,
"photoUrl": null
}
],
"events": [
{
"accessionNumber": "0001045810-26-000060",
"filingDate": "2026-07-02",
"personName": "Ajay K. Puri",
"roleTitle": "Executive Vice President, Worldwide Field Operations",
"action": "retired",
"effectiveDate": null,
"confidence": "verified",
"excerpt": "On June 28, 2026, Ajay K. Puri, Executive Vice President, Worldwide Field Operat…",
"isPublishable": true
}
],
"meetings": [
{
"accessionNumber": "0001045810-26-000056",
"filingDate": "2026-06-30",
"meetingDate": null,
"proposals": [
{
"proposalNo": 1,
"proposalText": "Stockholders approved the election of each of our ten (10) director nominees to …",
"outcome": "elected",
"votesFor": null,
"votesAgainst": null,
"votesWithheld": null,
"votesAbstain": null,
"brokerNonVotes": null,
"extra": null,
"nominees": [
{
"nominee": "Tench Coxe",
"votesFor": 15411252412,
"votesAgainst": 1399727580,
"votesWithheld": null,
"votesAbstain": 45709394,
"supportPct": 91.6737300224847
},
{
"nominee": "John O. Dabiri",
"votesFor": 16400706983,
"votesAgainst": 397037222,
"votesWithheld": null,
"votesAbstain": 58945181,
"supportPct": 97.63636582891995
}
]
}
]
}
]
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Company Data
Management & votes
Officers, directors, leadership changes and shareholder votes.
GET
/
api
/
v1
/
companies
/
{id}
/
management
Management & votes
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA) or numeric SEC CIK (zero-padding optional).
Response
OK
The response is of type object.
⌘I